package com.ruoyi.reportrzs.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
        import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.reportrzs.mapper.RzsLocarnoStatisticsInfoMapper;
import com.ruoyi.reportrzs.domain.RzsLocarnoStatisticsInfo;
import com.ruoyi.reportrzs.service.IRzsLocarnoStatisticsInfoService;

/**
 * 专利授权-洛迦诺统计Service业务层处理
 *
 * @author ruoyi
 * @date 2023-03-27
 */
@Service
public class RzsLocarnoStatisticsInfoServiceImpl extends ServiceImpl<RzsLocarnoStatisticsInfoMapper, RzsLocarnoStatisticsInfo> implements IRzsLocarnoStatisticsInfoService {

    /**
     * 查询专利授权-洛迦诺统计列表
     *
     * @param rzsLocarnoStatisticsInfo 专利授权-洛迦诺统计
     * @return 专利授权-洛迦诺统计集合
     * @date 2023-03-27
     */
    @Override
    public List<RzsLocarnoStatisticsInfo> queryList(RzsLocarnoStatisticsInfo rzsLocarnoStatisticsInfo) {
        QueryWrapper<RzsLocarnoStatisticsInfo> queryWrapper = Wrappers.query();
                if (  StringUtils.isNotNull(rzsLocarnoStatisticsInfo.getCityCode())){
                    queryWrapper.eq("city_code", rzsLocarnoStatisticsInfo.getCityCode());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getCityName())  ){
                    queryWrapper.like("city_name", rzsLocarnoStatisticsInfo.getCityName());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getYear())  ){
                    queryWrapper.eq("year", rzsLocarnoStatisticsInfo.getYear());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getMonth())  ){
                    queryWrapper.eq("month", rzsLocarnoStatisticsInfo.getMonth());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getClassificationNumber())  ){
                    queryWrapper.eq("classification_number", rzsLocarnoStatisticsInfo.getClassificationNumber());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getPatentType())  ){
                    queryWrapper.eq("patent_type", rzsLocarnoStatisticsInfo.getPatentType());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getApplicantType())  ){
                    queryWrapper.eq("applicant_type", rzsLocarnoStatisticsInfo.getApplicantType());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getHigherSchool())  ){
                    queryWrapper.eq("higher_school", rzsLocarnoStatisticsInfo.getHigherSchool());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getResearchInstitute())  ){
                    queryWrapper.eq("research_institute", rzsLocarnoStatisticsInfo.getResearchInstitute());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getEnterprise())  ){
                    queryWrapper.eq("enterprise", rzsLocarnoStatisticsInfo.getEnterprise());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getInstitutions())  ){
                    queryWrapper.eq("institutions", rzsLocarnoStatisticsInfo.getInstitutions());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getIndividual())  ){
                    queryWrapper.eq("individual", rzsLocarnoStatisticsInfo.getIndividual());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getNumber())  ){
                    queryWrapper.eq("number", rzsLocarnoStatisticsInfo.getNumber());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getProportion())  ){
                    queryWrapper.eq("proportion", rzsLocarnoStatisticsInfo.getProportion());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getCategoryNumber())  ){
                    queryWrapper.eq("category_number", rzsLocarnoStatisticsInfo.getCategoryNumber());
                }
                if ( StringUtils.isNotEmpty(rzsLocarnoStatisticsInfo.getCategoryName())  ){
                    queryWrapper.like("category_name", rzsLocarnoStatisticsInfo.getCategoryName());
                }
                if (  StringUtils.isNotNull(rzsLocarnoStatisticsInfo.getStatus())){
                    queryWrapper.eq("status", rzsLocarnoStatisticsInfo.getStatus());
                }
        queryWrapper.orderByDesc("id");
        return this.list(queryWrapper);
    }
}
